import httpRequest from '@/utils/axios'

/**
 * 获取案例列表
 */
export function getCaseList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/cases', { params })
}
/**
 * 获取类型列表
 */
export function getCategoryList(params) {
  return httpRequest.get('/api/xtraining/admin/v1/categories', { params })
}
/**
 * 新建案例
 */
export function createCase(data) {
  return httpRequest.post('/api/xtraining/admin/v1/case', data)
}
/**
 * 更新案例
 */
export function updateCase(id, data) {
  return httpRequest.put(`/api/xtraining/admin/v1/case/${id}`, data)
}
/**
 * 删除案例
 */
export function deleteCase(id) {
  return httpRequest.delete(`/api/xtraining/admin/v1/case/${id}`)
}